#ifndef __EST_CPULOAD_H
#define __EST_CPULOAD_H

#include "alog.h"
#include "libestimator.h"

struct cpuload {
        int is_valid;
        pthread_t self;

       /* period in seconds */
       int report_every_period;
};

static inline void
est_cpuload_init(struct cpuload *cpuload)
{
	memset(cpuload, 0, sizeof(struct cpuload));

	cpuload->is_valid = 1;
}

/* cpuload monitoring thread */
void *est_cpuload_thread(void *arg);

#endif
