/*
 * Created on   : Wed Mar 23 20:30:44 EST 2005
 * Created by   : Pavlos Papageorgiou <pavlos@eng.umd.edu>
 * 
 * anet.h
 *
 * Network related auxiliary functions
 *
 * $Id: anet.h,v 1.3 2005/06/16 22:53:25 pavlos Exp $
 */

#ifndef __ANET_H
#define __ANET_H

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/uio.h>
#include <stdio.h>

#define anet_convert_zero_to_loopback(sin_addr) \
        do { \
            if ((sin_addr)->s_addr == 0) \
                (sin_addr)->s_addr = 0x0100007f; \
        } while(0)

#define anet_match_sin_addr(sin_addr1, sin_addr2) \
        ((sin_addr1)->s_addr == (sin_addr2)->s_addr)

#endif /* __ANET_H */
