#include "logerr.h"
#include "adar.h"
#include "mem.h"
#include "cmp.h"

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

#define ITEMS   12

void
par(adarray *a)
{
    int i;
    int *pint = NULL;

    if (a->nelem == 0) {
        printf("Array empty\n");
        return;
    }

    printf("Array has %d elements\n", a->nelem);

    for (i = 0; i < a->nelem; i++) {
        pint = a->p[i];
        if (pint == NULL)
            printf("   element[%d]: EMPTY\n", i);
        else
            printf("   element[%d]: %d\n", i, *pint);
    }
}

void
far(adarray *a)
{
    int i = 0;
    int start = 2;

    int count = cmp_min(a->nelem, start+ITEMS);

    for (i = start; i < count; i++) {
        int *pint = malloc(sizeof(int));
        *pint = i * 10;
        a->p[i] = pint;
    }
}

int
main(int argc, char **argv)
{

    adarray ar;

    adar_init(&ar, 10, &free);

    par(&ar);

    far(&ar);
    par(&ar);

    adar_resize(&ar, 0);
    par(&ar);

    adar_resize(&ar, 10+ITEMS);
    far(&ar);
    par(&ar);

    adar_resize(&ar, 8);
    par(&ar);

    adar_resize(&ar, 20);
    par(&ar);

    adar_done(&ar);

    return 0;
}

