/*
 * log.h	Packet Train -- packet logging using libpcap
 *
 * Created:	Tue Oct  4 16:24:50 EDT 2005
 *
 * Version:	$Id: log.h,v 1.16 2005/12/06 20:14:49 pavlos Exp $
 *
 * Author:	Pavlos Papageorgiou <pavlos@eng.umd.edu>
 *
 */

#ifndef _LOG_H
#define _LOG_H

#include <pcap.h>

#include "pt.h"
#include "tick.h"

typedef struct log_s log_s;
struct log_s {
	pcap_t *tx;
};

void log_init(log_s *log, char *iface, int port);
void log_done(log_s *log);

void log_capture_train_tx(log_s *log, FILE *flog, pt_slog_v *slogv);

#endif /* _LOG_H */
