/*
 * pt.c		Packet Train
 *
 * Created:	Mon Nov 21 15:06:43 EST 2005
 *
 * Version:	$Id: log.c,v 1.9 2005/11/19 23:21:36 pavlos Exp $
 *
 * Author:	Pavlos Papageorgiou <pavlos@eng.umd.edu>
 *
 */

#include "pt.h"

const pt_slog PT_NULL_SLOG = {
	.magic		= PT_KSTAMP_MAGIC,

	.src_epoch	= PT_NULL_EPOCH,
	.src_seqno	= PT_NULL_SEQNO,

	.train_gap	= PT_NULL_TGAP,
	.train_len	= PT_NULL_TLEN,
	.train_seqno	= PT_NULL_TSEQNO,

	.kstamp_max	= PT_KSTAMP_MAX,
	.kstamp_num	= 0,

	.src_base_stamp	= PT_NULL_BASE_STAMP,

	.src_pstamp	= PT_NULL_STAMP,
	.src_ustamp2	= PT_NULL_STAMP,
	.src_ustamp1	= PT_NULL_STAMP,

	.src_sleep_diff	= PT_NULL_DIFF_STAMP,

	.src_load_epoch	= PT_NULL_EPOCH,

	.src_ipid	= PT_NULL_IP_ID,
	.dst_ipid	= PT_NULL_IP_ID,
	.pkt_size	= PT_NULL_PKTSIZE,
};


