/*
 * BHTP		Bottom Half Transport Protocol
 *
 * Created:	Sun Mar 26 19:36:51 EST 2006
 *
 * Author:	Pavlos Papageorgiou <pavlos@eng.umd.edu>
 *
 */

#ifndef _BHTP_MAIN_H
#define _BHTP_MAIN_H

#include <linux/init.h>
#include <linux/module.h>
#include <linux/list.h>
#include <linux/errno.h>

#include <linux/skbuff.h>

#include <linux/kthread.h>

#define LOG_PREFIX "mgrp: "
/* #define LOG_DEBUG */
#include "log.h"

#include "bhtp.h"
#include "bhtp_abi.h"
#include "proto.h"

#ifdef MGRP_TSKBSTATS
#include "tskbstats.h"
#endif

#endif /* _BHTP_MAIN_H */

