Summary: ntools traffic generator/analyzer and network emulator package
Name: ntools
Version: 1.4
Release: 1
Source: ntools-1.4.tgz
URL: http://norvegh.com/ntools
Copyright: GPL
Group: Applications/Networking
BuildRoot: /tmp/ntools

%description
A traffic generator/analyzer and network emulator package.
It supports multiple UDP/TCP streams with
configurable packet size, rate, ToS value,
source and destination address and port.
It can also emulate web-like traffic.
The provided statistics include throughput,
packet loss and misordering, delay, jitter,
TCP retransmission and goodput. It includes
a network emulation tool for impairment testing.

%prep
%setup

%build
cd src
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/man/man1
cd src
export BINDIR=${RPM_BUILD_ROOT}/usr/local/bin
export MANDIR=${RPM_BUILD_ROOT}/usr/local/man
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/local/bin/*
/usr/local/man/man1/*
